Browse Source

Add branch coverage reporting

Except where the python-nose package version does not support the
"--cover-branches" option.

Change-Id: I9ea6452d9834b3ac414e14e628002f593dd4b8c8
Signed-off-by: Peter Portante <peter.portante@redhat.com>
changes/61/31461/3
Peter Portante 8 years ago
parent
commit
9094c5cc66
2 changed files with 9 additions and 4 deletions
  1. +7
    -1
      .unittests
  2. +2
    -3
      tox.ini

+ 7
- 1
.unittests View File

@ -1,7 +1,13 @@
#!/bin/bash
python -c 'from distutils.version import LooseVersion as Ver; import nose, sys; sys.exit(0 if Ver(nose.__version__) >= Ver("1.2.0") else 1)'
if [ $? != 0 ]; then
cover_branches=""
else
cover_branches="--cover-branches"
fi
cd $(dirname $0)/test/unit
nosetests --exe --with-coverage --cover-package swift. --cover-erase $@
nosetests --exe --with-coverage --cover-package swift. --cover-erase $cover_branches $@
rvalue=$?
rm -f .coverage
cd -


+ 2
- 3
tox.ini View File

@ -9,6 +9,8 @@ setenv = VIRTUAL_ENV={envdir}
NOSE_OPENSTACK_YELLOW=0.025
NOSE_OPENSTACK_SHOW_ELAPSED=1
NOSE_OPENSTACK_STDOUT=1
NOSE_WITH_COVERAGE=1
NOSE_COVER_BRANCHES=1
deps =
-r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
@ -22,9 +24,6 @@ commands =
flake8
flake8 --filename=swift* bin
[testenv:cover]
setenv = NOSE_WITH_COVERAGE=1
[testenv:venv]
commands = {posargs}


Loading…
Cancel
Save